# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXClipPlane

Function

Creates a clipping Object defined by a clipping plane.

Syntax
`
#include <dx/dx.h>
`

Object DXClipPlane(Object o, Point p, Vector n)

Functional Details

Creates a new Object that defines a clipping transformation to be performed on Object `o` at render time. The Object will be clipped by the plane that contains `p` and is perpendicular to vector `n`. The Object on the side of the plane pointed to by `n` is retained.

A `Point` or `Vector` is defined as follows:
`
typedef struct point {
float x, y, z;
} Point, Vector;
`

Return Value

Returns an Object describing to the renderer how to clip at render time or returns `NULL` and sets an error code.

See Also

`DXClipBox`

15.2 , "Clipping".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]